Package org.apache.felix.http.base.internal.runtime.dto

## Class FailedDTOHolder

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.FailedDTOHolder

    public final class FailedDTOHolder
    extends Object

### Field Summary

Fields
`List<org.osgi.service.http.runtime.dto.FailedErrorPageDTO>` `failedErrorPageDTOs`
`List<org.osgi.service.http.runtime.dto.FailedFilterDTO>` `failedFilterDTOs`
`List<org.osgi.service.http.runtime.dto.FailedListenerDTO>` `failedListenerDTOs`
`List<org.osgi.service.http.runtime.dto.FailedPreprocessorDTO>` `failedPreprocessorDTOs`
`List<org.osgi.service.http.runtime.dto.FailedResourceDTO>` `failedResourceDTOs`
`List<org.osgi.service.http.runtime.dto.FailedServletContextDTO>` `failedServletContextDTOs`
`List<org.osgi.service.http.runtime.dto.FailedServletDTO>` `failedServletDTOs`

### Constructor Summary

Constructors
`FailedDTOHolder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(AbstractInfo<?> info, long contextId, int failureCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### failedFilterDTOs

    public final List<org.osgi.service.http.runtime.dto.FailedFilterDTO> failedFilterDTOs

#### failedListenerDTOs

    public final List<org.osgi.service.http.runtime.dto.FailedListenerDTO> failedListenerDTOs

#### failedServletDTOs

    public final List<org.osgi.service.http.runtime.dto.FailedServletDTO> failedServletDTOs

#### failedResourceDTOs

    public final List<org.osgi.service.http.runtime.dto.FailedResourceDTO> failedResourceDTOs

#### failedErrorPageDTOs

    public final List<org.osgi.service.http.runtime.dto.FailedErrorPageDTO> failedErrorPageDTOs

#### failedServletContextDTOs

    public final List<org.osgi.service.http.runtime.dto.FailedServletContextDTO> failedServletContextDTOs

#### failedPreprocessorDTOs

    public final List<org.osgi.service.http.runtime.dto.FailedPreprocessorDTO> failedPreprocessorDTOs

### Constructor Detail

#### FailedDTOHolder

    public FailedDTOHolder()

### Method Detail

#### add

    public void add​(AbstractInfo<?> info,
                    long contextId,
                    int failureCode)